Change a member role
curl --request POST \
--url https://app.egma.ai/v1/members/{userId}/role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"userId": "<string>",
"email": "<string>",
"name": "<string>",
"role": "admin",
"joinedAt": "2023-11-07T05:31:56Z",
"deactivatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Members
Change a member role
POST
/
v1
/
members
/
{userId}
/
role
Change a member role
curl --request POST \
--url https://app.egma.ai/v1/members/{userId}/role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"userId": "<string>",
"email": "<string>",
"name": "<string>",
"role": "admin",
"joinedAt": "2023-11-07T05:31:56Z",
"deactivatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
Minimum string length:
1Body
application/json
Available options:
admin, member, viewer